D4Science Infrastructure - Task #9797

change the ansible playbook for WPS in 4.7
Sep 26, 2017 03:45 PM - Lucio Lelii

Status:
Priority:
Assignee:

Category:

Target version:

Infrastructure:

Closed
High

_InfraScience Systems Engineer

Application

D4Science Infrastructure Upgrade to
4.7.0

Development, Pre-Production,
Production

Start date:
Due date:

% Done:

Estimated time:

Sep 26, 2017

100%
0.00 hour

Description

Add this system porperties to JAVA_OPT:

-Djavax.xml.parsers.SAXParserFactory=com.sun.org

.apache.xerces.internal. jaxp.SAXParserFactoryImpl

-Djavax.xml.transform.TransformerFactory=com.sun.org.apache.xalan.internal.xsltc.trax.TransformerF

actoryImpl

-Djavax.xml.parsers.DocumentBuilderFactory=com.sun.org.apache.xerces.internal. jaxp.DocumentBuilder

FactoryImpl

The file wps.xml in the folder

conf/Catalina/localhost/

is no longer needed, you can remove it.

History

#1 - Sep 26, 2017 04:21 PM - Andrea Dell'Amico

- Description updated

#2 - Sep 26, 2017 04:29 PM - Andrea Dell'Amico

- Tracker changed from Support to Task

- Status changed from New to In Progress

- % Done changed from 0 to 100

#3 - Sep 26, 2017 04:30 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The playbook is ready to be tested.

#4 - Sep 26, 2017 05:08 PM - Andrea Dell'Amico

The dev dataminers have been provisioned.
| had to increase the file system size on both dataminer1-d and dataminer2-d because of the huge knime installation.

#5 - Sep 28, 2017 05:22 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Apr 30, 2025
